# $Revision: 1.27 $, $Date: 2004/08/18 19:46:18 $
Summary:	Self playing pong game for WindowMaker Dock
Summary(pl):	Grajcy sam ze sob ping pong dla Doku WindowMakera
Name:		wmpong
Version:	0.3
Release:	6
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	ftp://ftp.windowmaker.org/pub/contrib/srcs/games/%{name}-%{version}-1.tar.gz
# Source0-md5:	d2f7fec0b89697ebaa165eba605456b3
Source1:	%{name}.desktop
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
It's completely useless except for brainless entertainment value. It's
a self playing pong game for WindowMaker Dock.

%description -l pl
Program ten jest cakowicie bezuyteczny. Przeznaczony dla Doku
WindowMakera, grajcy sam ze sob ping-pong.

%prep
%setup -q -n %{name}.app

%build
%{__make} -C %{name} \
	LIBDIR="-L/usr/X11R6/%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir}/docklets}

install %{name}/%{name} $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/docklets/wmpong.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmpong.spec,v $
Revision 1.27  2004/08/18 19:46:18  yogib
- fix building on amd64

Revision 1.26  2004/08/15 10:36:50  yogib
- switched to vfolders

Revision 1.25  2003/09/02 10:23:24  havner
- prefix changed to /usr

Revision 1.24  2003/05/28 13:02:55  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 06:27:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/02/28 10:09:02  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.21  2002/11/29 22:47:35  ankry
- massive attack: new %%doc

Revision 1.20  2002/05/05 17:43:38  kloczek
- release 4.

Revision 1.19  2002/02/23 05:10:58  kloczek
- adapterized.

Revision 1.18  2002/02/22 23:30:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/01/18 02:15:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/11/25 16:52:07  blues
- release 3
- desktop is out

Revision 1.15  2001/11/21 02:31:26  blues
- cosmetics in files
NOTE: No active URL found

Revision 1.14  2001/10/03 13:24:02  qboosh
- adapterized, added Source0 URL

Revision 1.13  2001/08/23 17:32:47  filon
- removed -s from install -s, stripping is done by rpm

Revision 1.12  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.11  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.8  1999/11/27 02:59:15  pius
- added using more rpm macros
- cosmetics

Revision 1.7  1999/09/04 09:44:01  pius
- cosmetics

Revision 1.6  1999/09/04 08:52:56  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.5  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.4  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue May 25 1999 Piotr Czerwiski <pius@pld.org.pl>
  [0.3-1]
- initial RPM release.
